\documentclass[12pt]{article}

\usepackage{amsthm,enumerate,amsmath,graphics,float,amssymb,../kbordermatrix,../../dcpic,pictexwd}

\usepackage[text={17cm,23cm},centering]{geometry}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem{Ex}{Exercise}
\newtheorem{sol}{Solution}

\newcommand{\cl}{\operatorname{cl}}
\newcommand{\mcal}[1]{\ensuremath{\mathcal{#1}}}

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\vspace{4ex}
\hrule
MATH432 - 2009\hfill
Assignment 1 \hfill
Solutions.
\vspace{1ex}\hrule\vspace{1ex}

\begin{sol}
[Due to D. Abang Ahmad, N. Baharin, M. Termedi]
If $G$ contains a loop, then $G$ contains a cycle.
In this case we are done, so we will assume that
$G$ is loopless.
Let $G$ be a graph where every vertex has degree at least two.
Now let $P$ be a path in $G$ that is as long as possible.
Suppose that $v_{0},v_{1},\ldots, v_{t}$ is the sequence
of vertices in $P$.
Since $v_{t}$ has degree at least two, it is adjacent
to a vertex other than $v_{t-1}$.
Let this vertex be $v$.
If $v$ is not in $\{v_{0},\ldots, v_{t}\}$, then
$v_{0},\ldots, v_{t},v$ is the vertex sequence of
a longer path, a contradiction.
Therefore, we can assume that $v=v_{i}$, where
$0\leq i < t$.
Now $v_{i},v_{i+1},\ldots, v_{t}$ is the vertex set
of a cycle.
\end{sol}

\begin{sol}
Apart from the empty matroid, there are fourteen matroids
on at most three elements (up to isomorphism).
  \begin{figure}[H]
    \centering
    \includegraphics{432_sol1_fig1}
\caption{Matroids on at most three elements.}
  \end{figure}
\end{sol}

\begin{sol}
Obviously many examples are posible.
Here are the simplest ones I could see:
\begin{enumerate}[(i)]
\item $\{a,b,c,d\}$.
\item $\{a,b,c,d,e\}$.
\item $\{b,e,f\}$.
\item $\{a,b,f\}$.
\item $\{b,c,d\}$.
\end{enumerate}
\end{sol}

\begin{sol}
[Diagram by M. Welsh]
$$
\begindc{\undigraph}[3]
		\obj(10,10)[b]{$b$} % bottom left
		\obj(37,14)[g]{$g$} % middle
		\obj(50,10)[c]{$c$} % bottom right
		\obj(30,40)[a]{$a$} % top
		\obj(30,10)[f]{$f$} % bottom centre
		\obj(20,25)[d]{$d$} % right middle
		\obj(40,25)[e]{$e$} % left middle
		\mor{b}{c}{}
		\mor{a}{b}{}
		\mor{a}{c}{}
		\cmor((20,25)(23,14)(30,10)(37,14)(40,25)) \pup(11,13){}[2]
	\enddc
$$
\end{sol}

\begin{sol}
[Diagrams courtesy of M. Welsh]
$$
\begindc{\undigraph}[12] %\varrho
\obj(0,0)[a]{}
\obj(3,0)[b]{}
\obj(6,0)[c]{}
\obj(0,3)[d]{}
\obj(3,3)[e]{}
\obj(6,3)[f]{}
\mor{a}{c}{}
\mor{d}{f}{}
\enddc
\qquad
\begindc{\undigraph}[2] %\sigma
\obj(10,10)[b]{} % bottom left
\obj(50,10)[c]{} % bottom right
\obj(30,40)[a]{} % top
\obj(30,10)[f]{} % bottom centre
\obj(20,25)[d]{} % right middle
\obj(40,25)[e]{} % left middle
\mor{b}{c}{}
\mor{a}{b}{}
\mor{a}{c}{}
\enddc
\qquad
\begindc{\undigraph}[2] %\tau
\obj(10,10)[b]{} % bottom left
\obj(50,10)[c]{} % bottom right
\obj(30,40)[a]{} % top
\obj(30,10)[f]{} % bottom centre
\obj(20,25)[d]{} % right middle
\obj(40,25)[e]{} % left middle
\mor{a}{b}{}
\mor{a}{c}{}
\enddc
\qquad
\begindc{\undigraph}[2] %\upsilon
\obj(10,10)[b]{} % bottom left
\obj(50,10)[c]{} % bottom right
\obj(30,40)[a]{} % top
\obj(30,20)[e]{} % bottom centre
\obj(20,25)[f]{} % right middle
\obj(40,25)[d]{} % left middle
\mor{f}{c}{}
\mor{a}{b}{}
\mor{a}{c}{}
\mor{b}{d}{}
\enddc
$$

$$
\begindc{\undigraph}[12] %\psi
\obj(0,0)[a]{}
\obj(2,0)[b]{}
\obj(4,0)[c]{}
\obj(6,0)[d]{}
\obj(1,3)[e]{}
\obj(5,3)[f]{}
\mor{a}{d}{}
\enddc
\qquad\qquad
\begindc{\undigraph}[12] %\omega
\obj(0,0)[a]{}
\obj(2,0)[b]{}
\obj(4,0)[c]{}
\obj(6,0)[d]{}
\obj(8,0)[e]{}
\obj(4,3)[f]{}
\mor{a}{e}{}
\enddc
$$

$$
\begindc{\undigraph}[12] %\phi
\obj(0,0)[a]{}
\obj(3,0)[b]{}
\obj(6,0)[c]{}
\obj(0,3)[d]{}
\obj(3,3)[e]{}
\obj(6,3)[f]{}
\mor{a}{c}{}
\enddc
\qquad\qquad
\begindc{\undigraph}[12] %\chi
\obj(0,0)[a]{}
\obj(3,0)[b]{}
\obj(6,0)[c]{}
\obj(0,3)[d]{}
\obj(3,3)[e]{}
\obj(6,3)[f]{}
\enddc
\qquad\qquad
\begindc{\undigraph}[12] %\chi
\obj(0,0)[a]{}
\obj(2,0)[b]{}
\obj(4,0)[c]{}
\obj(6,0)[d]{}
\obj(2,1)[e]{}
\obj(4,2)[f]{}
\mor{a}{d}{}
\mor{a}{f}{}
\enddc
$$
\end{sol}

\begin{sol}
[Due to N. Baharin, M. Welsh]
Suppose that \mcal{I} is a collection of subsets
of $E$ obeying {\bf I1} and {\bf I2}, and every maximal
member of \mcal{I} contained in $X$ is
equicardinal (for any subset $X\subseteq E$).
We want to show that \mcal{I} is a collection of independent
sets of a matroid.
Therefore we must show that if $I_{1}$ and $I_{2}$ are
members of \mcal{I} such that $|I_{1}|<|I_{2}|$, then there is
an element $e \in I_{2}-I_{1}$ such that $I_{1}\cup e \in \mcal{I}$.
Since $|I_{1}|<|I_{2}|$, the equicardinality condition
implies that $I_{1}$ is not a maximal member of \mcal{I}
contained in the subset $I_{1}\cup I_{2}$.
Therefore there is an element $e \in I_{1}\cup I_{2}$ such that
$e \notin I_{1}$ but $I_{1}\cup e$ is in \mcal{I}.
Since $e$ must be an element of $I_{2}-I_{1}$, we are done.
\end{sol}

\begin{sol}
[Due to M. Haskell]
Recall that $V$ is linearly independent if
$\alpha_{1}\mathbf{v}_{1}+\cdots +\alpha_{t}\mathbf{v}_{t}=\mathbf{0}$
has only one solution:
$\alpha_{1}=\alpha_{2}=\cdots=\alpha_{t}=0$.
Assume that $V$ is linearly dependent.
Then there
is a sequence of numbers $\alpha_{1},\ldots, \alpha_{t}$ such that
$\alpha_{1}\mathbf{v}_{1}+\cdots +\alpha_{t}\mathbf{v}_{t}=\mathbf{0}$
and not all of the $\alpha_{1},\ldots, \alpha_{t}$ are
zero.
Therefore $\sum_{i=1}^{t}\alpha_{i}v_{s}^{i}=0$ for any
$s \in \{1,\ldots, n\}$.
Now consider the linear combination
$\alpha_{1}\mathbf{v}'_{1}+\cdots +\alpha_{t}\mathbf{v}'_{t}$.
If $s \in \{1,\ldots, n\}$ is not equal to $k$, then
entry number $s$ in this linear combination is just
$\sum_{i=1}^{t}\alpha_{i}v_{s}^{i}$, which is equal to zero.
On the other hand, entry number $k$ in the linear combination is
$$
\sum_{i=1}^{t}\alpha_{i}(v_{j}^{i}+\alpha v_{k}^{i})
=\sum_{i=1}^{t}\alpha_{i}v_{j}^{i}+\alpha \sum_{i=1}^{t}\alpha_{i}v_{k}^{i}
=0.
$$
Thus
$\alpha_{1}\mathbf{v}'_{1}+\cdots +\alpha_{t}\mathbf{v}'_{t}=\mathbf{0}$.
As not all of the numbers $\alpha_{1},\ldots, \alpha_{t}$
are zero, this demonstrates that $V'$ is linearly dependent.

Now assume that $V'$ is linearly dependent.
As we can obtain $V$ from $V'$ by adding the
product of $-\alpha$ and the $j$th entry to the
$k$th entry, for every vector in $V'$, the previous paragraph
shows that $V$ must also be linearly dependent.
Hence $V$ is linearly independent if and only
if $V$ is linearly independent.
\end{sol}

\begin{sol}
[Due to N Baharin, M. Termedi, M. Haskell]
Suppose that $U_{2,4}$ is isomorphic to $M(G)$ for some
graph $G$.
Let the ground set of $U_{2,4}$ be $\{a,b,c,d\}$.
Now $\{a,b,c\}$ is a circuit of $U_{2,4}$, so
$\{a,b,c\}$ is the edge set of a cycle of $G$.
Let the vertices of this cycle be $u$, $v$, and $w$,
and assume that $a$ joins $u$ to $v$,
that $b$ joins $v$ to $w$, and $c$ joins
$w$ to $u$.
Now $\{a,b,d\}$ is also a circuit of $U_{2,4}$, so
$\{a,b,d\}$ is the edge set of a cycle of
$G$.
This means that $d$ must also join $w$ to $u$.
In other words, $\{c,d\}$ is the edge set of
a cycle of $G$, which means that $U_{2,4}$ contains
a circuit of size two, a contradiction.
\end{sol}

\begin{sol}
[Due to D. Abang Ahmad, S. Othman]
We want to show that
$\mcal{I}=\{I_{1}\cup I_{2}\mid I_{1}\in \mcal{I}_{1},\ 
I_{2}\in \mcal{I}_{2}\}$ is the collection of independent
sets for some matroid.
First we note that $\mcal{I}_{1}$ and $\mcal{I}_{2}$ both contain
the empty set, so \mcal{I} contains
$\emptyset=\emptyset\cup\emptyset$.
Now assume that $I$ is a member of $\mcal{I}$.
Then $I$ can be expressed as $I_{1}\cup I_{2}$,
where $I_{k}\in \mcal{I}_{k}$ for $k=1,2$.
Furthermore, we can assume that $I_{1}$ and $I_{2}$
are disjoint.
(If they are not, then replace $I_{1}$ with $I_{1}-I_{2}$.)
Now let $J$ be a subset of $I$.
Then $J=(J\cap I_{1})\cup (J\cap I_{2})$.
Since $\mcal{I}_{1}$ and $\mcal{I}_{2}$ are
collections of independent sets, it follows that
$J\cap I_{1}$ and $J\cap I_{2}$ are
members of 
$\mcal{I}_{1}$ and $\mcal{I}_{2}$ respectively.
Therefore $J$ is a member of \mcal{I}.

We now know that \mcal{I} satisfies {\bf I1} and
{\bf I2}.
Let $I$ and $J$ be members of \mcal{I} such that
$|J|<|I|$.
We can again assume that $I=I_{1}\cup I_{2}$ and
$J=J_{1}\cup J_{2}$, where
$I_{1},J_{1}\in \mcal{I}_{1}$ and
$I_{2},J_{2}\in \mcal{I}_{2}$.
Furthermore, we assume that $I_{1}\cap I_{2}=\emptyset$
and $J_{1}\cap J_{2}=\emptyset$.
Let us assume that amongst all such sets,
we have chosen $I_{1}$, $I_{2}$, $J_{1}$, and $J_{2}$
so that $|J_{1}\cap I_{1}|+|J_{2}\cap I_{2}|$ is as
large as possible.

If $|I_{1}| \leq |J_{1}|$ and
$|I_{2}|\leq |J_{2}|$, then
$$|I|=|I_{1}|+|I_{2}|\leq |J_{1}|+|J_{2}| = |J|,$$
which is a contradiction.
Since our assumption on
$|J_{1}\cap I_{1}|+|J_{2}\cap I_{2}|$ is
symmetric, we can assume without loss of generality
that $|I_{1}|>|J_{1}|$.
As $\mcal{I}_{1}$ satisfies {\bf I3} there must
be an element $e \in I_{1}-J_{1}$ such that
$J_{1}\cup e$ belongs to $\mcal{I}_{1}$.
If $e$ does not belong to $J_{2}$, then
$e$ is in $I-J$, and
$J\cup e = (J_{1}\cup e)\cup J_{2}$ is a member
of \mcal{I}, so we are done.
Therefore we assume that $e \in J_{2}$.
Note that $e$ is not in $I_{2}$, for
$e \in I_{1}$, and $I_{1}\cap I_{2}=\emptyset$.
Therefore $(J_{2}-e)\cap I_{2}=J_{2}\cap I_{2}$.
On the other hand
$$|(J_{1}\cup e)\cap I_{1}| = |(J_{1}\cap I_{1})\cup e|
=|J_{1}\cap I_{1}|+1,$$
so
$$|(J_{1}\cup e)\cap I_{1}| + |(J_{2}-e)\cap I_{2}|
=|J_{1}\cap I_{1}|+|J_{2}\cap I_{2}|+1.$$
Now $J_{1}\cup e$ and $J_{2}-e$ are pairwise disjoint, and
their union is $J$.
Similarly, $I_{1}$ and $I_{2}$ are pairwise disjoint,
and their union is $I$.
Our choice of $I_{1}$, $I_{2}$, $J_{1}$, and
$J_{2}$ has been contradicted, so we are done.
\end{sol}

\begin{sol}
We show that the two bases axioms hold.
First we note that $r(X)=|X|-1$, since $X$ is a circuit.
However $r(X)=r(M)-1$, as $X$ is a hyperplane.
This means that $|X|=r(M)$.
Clearly $\mathcal{B}\cup \{X\}$ is non-empty, since
$\mathcal{B}$ is non-empty.
If $B_{1}$ and $B_{2}$ are members of $\mathcal{B}$, and
$x\in B_{1}-B_{2}$, then clearly {\bf B2} is satisfied,
as $\mathcal{B}$ satisfies the axioms for bases.
Let $B_{1}$ be a member of $\mathcal{B}$, and let
$x$ be an element in $B_{1}-X$.
Assume that $\cl(B_{1}-x)$ contains $X$.
Now $X$ is a flat with rank $r(M)-1$.
If $y$ is an element in $\cl(B_{1}-x) - X$, then
$X\cup y$ is spanning.
Since $X\cup y$ is contained in $\cl(B_{1}-x)$ this
means that $\cl(B_{1}-x)$ is spanning.
But this is a contradiction, since $r(B_{1}-x)=r(M)-1$.
Therefore no such element $y$ can exist, and
$\cl(B_{1}-x)=X$.
This means that $B_{1}-x \subseteq X$.
As $|X|=r(M)=|B_{1}|$, there is a single element
$y$ in $X-(B_{1}-x)$.
Thus $X=(B_{1}-x)\cup y \in \mathcal{B}\cup\{X\}$, so
{\bf B2} is satisfied.

Now we assume that $\cl(B_{1}-x)$ does not contain $X$.
Let $y$ be an element of $X-\cl(B_{1}-x)$.
Then $r((B_{1}-x)\cup y)>r(B_{1}-x)=r(M)-1$, meaning that
$(B_{1}-x)\cup y$ is spanning.
Since the cardinality of $(B_{1}-x)\cup y$ is $r(M)$
it follows that $(B_{1}-x)\cup y$ is a basis, so we are done.

Next we assume that $B_{2}$ is a member of $\mathcal{B}$,
and that $x \in X-B_{2}$.
Now $\cl(X-x)$ is a hyperplane, so cannot contain
$B_{2}$.
Let $y$ be an element of $B_{2}-\cl(X-x)$.
Then $(X-x)\cup y$ is a member of $\mathcal{B}$, so
{\bf B2} is satisfied.
\end{sol}

\begin{sol}
[Due to B. Clark, N. Baharin, R. Rosli]
Let $X=(C_{1}\cup C_{2})-\{e,f\}$.
Note that the circuit $C_{2}$ is contained in
$X\cup e$, and that $e$ is contained in $C_{2}$.
Proposition~3.11 implies that $e$ is in the closure of $X$,
so $r(X\cup e)=r(X)$.
Now $(X\cup e)\cup f$ contains the circuit $C_{1}$,
and $C_{1}$ contains $f$.
This means that $f$ is in the closure of
$X\cup e$, so $r((X\cup e)\cup f)=r(X\cup e)=r(X)$.
But $r(X)\leq r(X\cup f)\leq r(X\cup \{e,f\})=r(X)$,
so we deduce that $r(X\cup f)=r(X)$, and that therefore
$f \in \cl(X)$.
Proposition~3.11 now implies that there is a circuit
contained in $X\cup f = (C_{1}\cup C_{2})-e$ that contains
$f$, so we are done.
\end{sol}

\end{document}